"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHeaders = exports.getTokenPath = exports.getUrlAliases = exports.getUrl = exports.select = void 0;

var _get = _interopRequireDefault(require("lodash/get"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultState = {
  isFetching: false,
  data: null
};
const defaultHeaders = {
  "Content-Type": "application/json"
};

const select = query => state => {
  var _ref, _state$graphql;

  return (_ref = state === null || state === void 0 ? void 0 : (_state$graphql = state.graphql) === null || _state$graphql === void 0 ? void 0 : _state$graphql[(0, _utils.createHash)(query)]) !== null && _ref !== void 0 ? _ref : defaultState;
};

exports.select = select;

const getUrl = state => {
  var _ref2, _state$graphql2;

  return (_ref2 = state === null || state === void 0 ? void 0 : (_state$graphql2 = state.graphql) === null || _state$graphql2 === void 0 ? void 0 : _state$graphql2.url) !== null && _ref2 !== void 0 ? _ref2 : "";
};

exports.getUrl = getUrl;

const getUrlAliases = state => {
  var _ref3, _state$graphql3;

  return (_ref3 = state === null || state === void 0 ? void 0 : (_state$graphql3 = state.graphql) === null || _state$graphql3 === void 0 ? void 0 : _state$graphql3.urlAliases) !== null && _ref3 !== void 0 ? _ref3 : {};
};

exports.getUrlAliases = getUrlAliases;

const getTokenPath = state => {
  var _ref4, _state$graphql4;

  return (_ref4 = state === null || state === void 0 ? void 0 : (_state$graphql4 = state.graphql) === null || _state$graphql4 === void 0 ? void 0 : _state$graphql4.tokenPath) !== null && _ref4 !== void 0 ? _ref4 : "";
};

exports.getTokenPath = getTokenPath;

const getHeaders = state => {
  var _ref5, _state$graphql5;

  const tokenPath = getTokenPath(state);
  const token = (0, _get.default)(state, tokenPath, "");
  const authHeaders = token ? {
    Authorization: `Bearer ${token}`
  } : {};
  return { ...defaultHeaders,
    ...((_ref5 = state === null || state === void 0 ? void 0 : (_state$graphql5 = state.graphql) === null || _state$graphql5 === void 0 ? void 0 : _state$graphql5.headers) !== null && _ref5 !== void 0 ? _ref5 : {}),
    ...authHeaders
  };
};

exports.getHeaders = getHeaders;